WPSPageSpanInternal::HeaderFooter Class Reference

## Public Member Functions

| HeaderFooter (const WPSPageSpan::HeaderFooterType headerFooterType, const WPSPageSpan::HeaderFooterOccurence occurence, WPSSubDocumentPtr &subDoc)
| ~HeaderFooter ()
WPSPageSpan::HeaderFooterType | getType () const
WPSPageSpan::HeaderFooterOccurence | getOccurence () const
WPSSubDocumentPtr & | getSubDocument ()
bool | operator== (shared_ptr< HeaderFooter > const &headerFooter) const
bool | operator!= (shared_ptr< HeaderFooter > const &headerFooter) const

## Private Attributes

WPSPageSpan::HeaderFooterType | m_type
WPSPageSpan::HeaderFooterOccurence | m_occurence
WPSSubDocumentPtr | m_subDocument

## Constructor & Destructor Documentation

WPSPageSpanInternal::HeaderFooter::HeaderFooter | ( | const WPSPageSpan::HeaderFooterType | headerFooterType,
|  | const WPSPageSpan::HeaderFooterOccurence | occurence,
|  | WPSSubDocumentPtr & | subDoc
| ) |  |

inline

WPSPageSpanInternal::HeaderFooter::~HeaderFooter | ( |  | ) |

inline

## Member Function Documentation

WPSPageSpan::HeaderFooterOccurence WPSPageSpanInternal::HeaderFooter::getOccurence | ( |  | ) | const

inline

WPSSubDocumentPtr& WPSPageSpanInternal::HeaderFooter::getSubDocument | ( |  | ) |

inline

WPSPageSpan::HeaderFooterType WPSPageSpanInternal::HeaderFooter::getType | ( |  | ) | const

inline

bool WPSPageSpanInternal::HeaderFooter::operator!= | ( | shared_ptr< HeaderFooter > const & | headerFooter | ) | const

inline

bool WPSPageSpanInternal::HeaderFooter::operator== | ( | shared_ptr< HeaderFooter > const & | headerFooter | ) | const

Referenced by operator!=().

## Member Data Documentation

WPSPageSpan::HeaderFooterOccurence WPSPageSpanInternal::HeaderFooter::m_occurence

private

Referenced by getOccurence(), and operator==().

WPSSubDocumentPtr WPSPageSpanInternal::HeaderFooter::m_subDocument

private

Referenced by getSubDocument(), and operator==().

WPSPageSpan::HeaderFooterType WPSPageSpanInternal::HeaderFooter::m_type

private

Referenced by getType(), and operator==().

The documentation for this class was generated from the following file:

- WPSPageSpan.cpp